#!/bin/bash
natm=20 
for inf in frag_*.out
do
echo Extracting ${inf} ...
grep "Atomic Center    1" -A $(($natm-1)) ${inf} | awk '{print $6" "$7" "$8}' >> allxyz.txt
grep "ESP charges:" -A $(($natm+1)) ${inf} | awk '{if (NR>2) print $3}' >> allchg.txt
paste allxyz.txt allchg.txt -d " " > bkchg.txt
done
rm -f allxyz.txt allchg.txt
echo Done, bkchg.txt has been generated!